/*  OpenChess_res.h -- PalmOS resources header for display interface
 *  for GNU Chess2
 *
 *  Feringa is a chess game for the Palm Pilot based on OpenChess.
 *  Copyright (C) 2005, Manfred Joerg.
 *  OpenChess version 1.0, is a CHESS game for Palm Pilot, adapted
 *	 from GNU Chess 2, for Unix/DOS environments
 *  Copyright (C) 1986, 1987, 1988 Free Software Foundation, Inc.
 *  Copyright (C) 2002, Son Altesse.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define  sysFileCOpenChess     'OpCh'  // Creator ID
#define  sysFileCOpenChessStr  "OpCh"
#define  VERSION_NUM           2
#define  VersionStr            "1.0"
#define  ApplicationStr        "Chess"
#define  OpenChessDBName       "OneStopChess"
#define  OpenChessDBType       'Data'

#define  fldNameWhite 2001
#define  fldNameBlack 2002

// Bitmaps
#define BmpWPawn	3000
#define BmpWKnight 3001
#define BmpWBishop 3002
#define BmpWRook 3003
#define BmpWQueen 3004
#define BmpWKing 3005
#define BmpBPawn 3006
#define BmpBKnight 3007
#define BmpBBishop 3008
#define BmpBRook 3009
#define BmpBQueen 3010
#define BmpBKing 3011

#define BmpNew 3020
#define BmpLoad 3021
#define BmpSave 3022
#define BmpEdit 3023
#define BmpUndo 3024
#define BmpHint 3025
#define BmpReverse 3026
#define BmpSwitch 3027
#define BmpOptions 3028
#define BmpAdd 3029
#define BmpRemove 3030
#define BmpExit 3031

#define	BmpSymbols	1006
#define BmpPcsHR	1008
#define	bmpLogo	1000

// Forms
#define	frmMain	1000
#define	frmAbout	1001
#define	frmEditBrd	1002
#define	frmPrefs	1004
#define  frmSave 1005
#define	frmPieces	1006
#define  frmDatabase 1007

// Buttons
#define	btnNew	1000
#define	btnLoad	1001
#define	btnSave	1002
#define	btnEdit	1003
#define	btnUndo	1005
#define	btnHint	1006
#define	btnReverse	1007
#define	btnSwitch	1008
#define	btnOptions	1009
#define	btnClear	1010
#define	btnAdd	1011
#define	btnRemove	1012
#define	btnExit	1013


#define  DbGameList 1100
#define  lstResult  1101
#define  trgResult  1102

// Alerts
#define	AlertError	1000
#define  AlertRomIncompatible 1001
#define	ConfClearBd	1002

// Menus
#define	mnuNew	1000
#define	mnufrmMain	1000
#define	mnufrmEditBrd	1001
#define	mnuClose	1002
#define	mnuUndo	1003
#define	mnuAbout	1004
#define	mnuLoad	1007
#define	mnuSave	1008
#define	mnuEdit	1009
#define	mnuPrefs	1010
#define	mnuHelpEdit	1011
#define	mnuHint	1012
#define	mnuReverse	1014
#define	mnuHelp	1016
#define	mnuClear	1017
#define	mnuSwitchColor	1018
#define	mnuAdd	1019
#define	mnuRemove	1020
#define	mnuDelete	1021
#define	mnuSwitchSides	1022
#define  mnuCoordinates 1023
#define  mnuExport	1025

#define	cmdClose	1000
#define	btnOK	1000
#define	btnCancel	1001
#define	trgCompTime	1008
#define	lstCompTime	1010
#define	chkSound	1012
#define	btnWhiteHum	1003
#define	btnWhiteCom	1004
#define	btnBlackCom	1005
#define	btnBlackHum	1006

#define	OpenBookRes	1000
#define	HelpString	1000
#define	trgDither	1014
#define	trgContempt	1015
#define	lstDither	1017
#define	lstContempt	1019
#define	StrHelpOptions	1002
#define	StrHelpEdit	1004
#define	btnEditClose	1000

#define	AlertSelectSq	1004
#define	HelpLicense	1006

